Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1273120 - Error when copying a method from builtin Domain to a custom one
Summary: Error when copying a method from builtin Domain to a custom one
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.5.0
Assignee: Ladislav Smola
QA Contact: Milan Falešník
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-19 16:27 UTC by Milan Falešník
Modified: 2015-12-08 13:36 UTC (History)
7 users (show)

Fixed In Version: 5.5.0.7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 13:36:41 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Excerpt from production.log (10.02 KB, text/plain)
2015-10-19 16:27 UTC, Milan Falešník
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 0 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 17:58:09 UTC

Description Milan Falešník 2015-10-19 16:27:18 UTC
Created attachment 1084457 [details]
Excerpt from production.log

Description of problem:
I wanted to override some of the default domain methods so I created a new domain and tried to copy the desired method to it. Then an error happened but the method itself copied OK.

Version-Release number of selected component (if applicable):
5.5.0.6

How reproducible:
always

Steps to Reproduce:
1. Try to copy a method from some default domain to a new one.
2. Confirm the copy on the copy form.

Actual results:
undefined method `inputs' for #<MiqAeClass:0x00000002cc5db0> [miq_ae_class/copy_objects]

Expected results:
No error

Additional info:
The method is then copied, but the error happen. The one I was copying was Service/Provisioning/StateMachinesServiceProvisionRequestQuotaVerification/service_request_quota_validation

Comment 2 mkanoor 2015-10-19 18:19:44 UTC
Same as GIT Issue https://github.com/ManageIQ/manageiq/pull/4839

Comment 4 Milan Falešník 2015-10-26 10:21:34 UTC
Verified in 5.5.0.7

Comment 6 errata-xmlrpc 2015-12-08 13:36:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551


Note You need to log in before you can comment on or make changes to this bug.